import('model.toolbar.section.header.SectionHeaderButton')

---@class ConfirmDeleteSection : SectionHeaderButton
ConfirmDeleteSection = extends(SectionHeaderButton)
ConfirmDeleteSection.__class = "ConfirmDeleteSection"

function ConfirmDeleteSection:create(parent)
    local element = ConfirmDeleteSection:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_confirm",
        style = "toolbar_button_icon_green" })
    return ConfirmDeleteSection:new(element)
end

function ConfirmDeleteSection:new(element)
    return ConfirmDeleteSection:super(SectionHeaderButton:new(element))
end

function ConfirmDeleteSection:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:section():delete()
    end
end
