import('model.toolbar.section.header.SectionHeaderButton')

---@class MoveDown : SectionHeaderButton
MoveDown = extends(SectionHeaderButton)
MoveDown.__class = "MoveDown"

function MoveDown:create(parent)
    local element = MoveDown:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_move-section-down",
        style = "toolbar_button_icon_black" })
    return MoveDown:new(element)
end

function MoveDown:new(element)
    return MoveDown:super(SectionHeaderButton:new(element))
end

function MoveDown:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:section():moveDown()
    end
end

function MoveDown:lock()
    self:hide()
end

function MoveDown:unlock()
    self:show()
end
