import('model.toolbar.section.header.SectionHeaderButton')

---@class MoveUp : SectionHeaderButton
MoveUp = extends(SectionHeaderButton)
MoveUp.__class = "MoveUp"

function MoveUp:create(parent)
    local element = MoveUp:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_move-section-up",
        style = "toolbar_button_icon_black" })
    return MoveUp:new(element)
end

function MoveUp:new(element)
    return MoveUp:super(SectionHeaderButton:new(element))
end

function MoveUp:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:section():moveUp()
    end
end

function MoveUp:lock()
    self:hide()
end

function MoveUp:unlock()
    self:show()
end
