import('model.toolbar.header.ToolbarHeaderButton')

---@class CancelDeleteToolbar : ToolbarHeaderButton
CancelDeleteToolbar = extends(ToolbarHeaderButton)
CancelDeleteToolbar.__class = "CancelDeleteToolbar"

function CancelDeleteToolbar:create(parent)
    local root = CancelDeleteToolbar:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_cancel",
        style = "toolbar_button_icon_red" })
    return CancelDeleteToolbar:new(root)
end

function CancelDeleteToolbar:new(element)
    return CancelDeleteToolbar:super(ToolbarHeaderButton:new(element))
end

function CancelDeleteToolbar:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:header():cancelDeletion()
    end
end
