import('model.toolbar.header.ToolbarHeaderButton')

---@class CollapseToolbar : ToolbarHeaderButton
CollapseToolbar = extends(ToolbarHeaderButton)
CollapseToolbar.__class = "CollapseToolbar"

function CollapseToolbar:create(parent)
    local root = CollapseToolbar:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_collapse",
        style = "toolbar_button_icon_black" })
    return CollapseToolbar:new(root)
end

function CollapseToolbar:new(element)
    return CollapseToolbar:super(ToolbarHeaderButton:new(element))
end

function CollapseToolbar:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:toolbar():collapse()
    end
    self:replaceWith(ExpandToolbar:create(self:parent()))
end
