import('model.toolbar.section.header.SectionHeaderButton')

---@class CancelDeleteSection : model.toolbar.header.SectionHeaderButton
CancelDeleteSection = extends(SectionHeaderButton)
CancelDeleteSection.__class = "CancelDeleteSection"

function CancelDeleteSection:create(parent)
    local element = CancelDeleteSection:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_cancel",
        style = "toolbar_button_icon_red" })
    return CancelDeleteSection:new(element)
end

function CancelDeleteSection:new(element)
    return CancelDeleteSection:super(SectionHeaderButton:new(element))
end

function CancelDeleteSection:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:header():cancelDeletion()
    end
end
